# file: $isip/class/stat/StatisticalModel/GNUmakefile
# version: $Id: GNUmakefile 6009 2000-12-19 18:10:06Z hamaker $
#
# this make file builds the StatisticalModel class
# 

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = StatisticalModel.h StatisticalModelBase.h \
	StatisticalModelUndefined.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = NameMap.h VectorFloat.h GaussianModel.h UniformModel.h \
	MixtureModel.h

# define the output library
#
ISIP_OLIB = lib_stat.a

# define the compilation flags
# 
ISIP_CFLAGS =

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
